package oliot.muut;

/**
 * Elain-luokka.  Kantaluokka elimille.
 * @author Vesa Lappalainen
 * @version 1.0, 06.02.2003
 *
*/
public abstract class Elain {
    private String nimi;
    private double paino;


    /**
     * @param nimi elimen nimi
     * @param paino elimen paino
     */
    public Elain(String nimi, double paino) {
        this.nimi = nimi;
        this.paino = paino;
    }


    /**
     * nelln kuten elin.  Tm on pakko kirjoittaa uudelleen
     */
    public abstract void aantele();
    /*
     * { System.out.println("???"); }
     */

    /**
     * tulostetaan elimen tiedot 
     */
    public void tulosta() {
        System.out.println("Olen :" + nimi + " painan: " + paino + " grammaa");
    }

}
